void BigScreen(char *Str) {
  int Ch, Mi, Sec;
  Ch = 10 * (Str[0] - 48) + (Str[1] - 48);
  Mi = 10 * (Str[2] - 48) + (Str[3] - 48);
  setBigScreen();
  PrintTime(Ch, Mi);
  lcd.setCursor(18, 0);
  lcd.print(Str[4]);
  lcd.print(Str[5]);
  for (int i = 6; i <= 13; i++) {
    lcd.setCursor(i, 2);
    lcd.print(Str[i]);
  }
}

////////////////////////////////////////////////////////////////////////////////////////////////////////////
// БЛОК БОЛЬШИХ ЧАСИКОВ
//
void PrintTime(int Ch, int Mi) {
  int Zuuu = Ch * 100 + Mi;
  PrintChislo(Zuuu, 0, 2);
}

// PrintDw - печатаем ДВойную хрень между двумя числами времени. Секунды, например внизу, и << >> вверху
void PrintDw(bool Yes, int Sek) {
  lcd.setCursor(7, 1);
  String Str = String(Sek % 60);
  if (Sek % 60 < 10)
    Str = "0" + Str;
  lcd.print(Str);
  if (Yes) {
    lcd.setCursor(7, 0);
    //    lcd.print(String(curTemp));
    //    lcd.print("D" + String(device));
  }
  else {
    lcd.setCursor(7, 0);
    //    lcd.print(String(curTemp));
    //    lcd.print("D" + String(device));
  }
}

void PrintChislo(int Ch, int Pos, int Offset) {
  int pPos = 0;
  if (Ch > 0)
    pPos = 3;
  if (Ch > 9)
    pPos = 1;
  if (Ch > 99)
    pPos = 2;
  if (Ch > 999)
    pPos = 3;
  if (Ch > 9999)
    return;
  pPos += Offset;
  int c1 = 0, c2 = 0, c3 = 0, c4 = 0;
  c4 = Ch % 10;
  c3 = (Ch / 10) % 10;
  c2 = (Ch / 100) % 10;
  c1 = (Ch / 1000) % 10;
  PrintBigLCD(c1, 0, Offset);
  PrintBigLCD(c2, 1, Offset);
  PrintBigLCD(c3, 2, Offset);
  PrintBigLCD(c4, 3, Offset);
}

void PrintBigLCD(int Digit, int Pos, int Offset) {
  int pPos;
  (Pos < 2) ? pPos = Pos * 4 : pPos = Pos * 4 + 1;
  lcd.setCursor(3, 0);
  lcd.write((byte)0);
  lcd.setCursor(3, 1);
  lcd.write((byte)0);
  lcd.setCursor(12, 0);
  lcd.write((byte)0);
  lcd.setCursor(12, 1);
  lcd.write((byte)0);
  switch (Digit) {
    case 0:
      lcd.setCursor(pPos, 0);
      lcd.write((byte)1);
      lcd.write((byte)2);
      lcd.write((byte)1);
      lcd.setCursor(pPos, 1);
      lcd.write((byte)1);
      lcd.write((byte)3);
      lcd.write((byte)1);
      break;
    case 1:
      lcd.setCursor(pPos, 0);
      lcd.write((byte)6);
      lcd.write((byte)1);
      lcd.write((byte)0);
      lcd.setCursor(pPos, 1);
      lcd.write((byte)3);
      lcd.write((byte)1);
      lcd.write((byte)3);
      break;
    case 2:
      lcd.setCursor(pPos, 0);
      lcd.write((byte)6);
      lcd.write((byte)5);
      lcd.write((byte)1);
      lcd.setCursor(pPos, 1);
      lcd.write((byte)1);
      lcd.write((byte)3);
      lcd.write((byte)3);
      break;
    case 3:
      lcd.setCursor(pPos, 0);
      lcd.write((byte)6);
      lcd.write((byte)5);
      lcd.write((byte)1);
      lcd.setCursor(pPos, 1);
      lcd.write((byte)7);
      lcd.write((byte)3);
      lcd.write((byte)1);
      break;
    case 4:
      lcd.setCursor(pPos, 0);
      lcd.write((byte)1);
      lcd.write((byte)3);
      lcd.write((byte)1);
      lcd.setCursor(pPos, 1);
      lcd.write((byte)0);
      lcd.write((byte)0);
      lcd.write((byte)1);
      break;
    case 5:
      lcd.setCursor(pPos, 0);
      lcd.write((byte)1);
      lcd.write((byte)4);
      lcd.write((byte)2);
      lcd.setCursor(pPos, 1);
      lcd.write((byte)3);
      lcd.write((byte)3);
      lcd.write((byte)1);
      break;
    case 6:
      lcd.setCursor(pPos, 0);
      lcd.write((byte)1);
      lcd.write((byte)2);
      lcd.write((byte)2);
      lcd.setCursor(pPos, 1);
      lcd.write((byte)1);
      lcd.write((byte)4);
      lcd.write((byte)1);
      break;
    case 7:
      lcd.setCursor(pPos, 0);
      lcd.write((byte)2);
      lcd.write((byte)2);
      lcd.write((byte)1);
      lcd.setCursor(pPos, 1);
      lcd.write((byte)0);
      lcd.write((byte)1);
      lcd.write((byte)0);
      break;
    case 8:
      lcd.setCursor(pPos, 0);
      lcd.write((byte)1);
      lcd.write((byte)4);
      lcd.write((byte)1);
      lcd.setCursor(pPos, 1);
      lcd.write((byte)1);
      lcd.write((byte)3);
      lcd.write((byte)1);
      break;
    case 9:
      lcd.setCursor(pPos, 0);
      lcd.write((byte)1);
      lcd.write((byte)4);
      lcd.write((byte)1);
      lcd.setCursor(pPos, 1);
      lcd.write((byte)3);
      lcd.write((byte)3);
      lcd.write((byte)1);
      break;
  }
}

void setBigScreen() {
  ////////////////////////////////////////////////////////////////////////////////////////
  // Большие ЧАСЫ
  uint8_t b0[8] = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0};
  uint8_t b1[8] = {0x0E, 0x1F, 0x1F, 0x1F, 0x1F, 0x1F, 0x1F, 0x0E};
  uint8_t b2[8] = {0x1F, 0x1F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
  uint8_t b3[8] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0x1F};
  uint8_t b4[8] = {0x1F, 0x1F, 0x00, 0x00, 0x00, 0x00, 0x1F, 0x1F};
  uint8_t b5[8] = {0x1F, 0x1F, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x1F};
  uint8_t b6[8] = {0x0F, 0x1F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
  uint8_t b7[8] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0x0F};

  lcd.createChar(0, b0);
  lcd.createChar(1, b1);
  lcd.createChar(2, b2);
  lcd.createChar(3, b3);
  lcd.createChar(4, b4);
  lcd.createChar(5, b5);
  lcd.createChar(6, b6);
  lcd.createChar(7, b7);
}
