void setup() {

  Wire.begin(SDA_PIN, SCL_PIN);
  //  Wire.begin();

  // Инициация LCD
  lcd.init();
  //lcd.begin();
  lcd.backlight();          // Включаем подсветку дисплея
  //lcd.noBacklight();      // Выключаем подсветку дисплея
  lcd.clear();
  lcdPrint(0, 0, "Hello, WORLD!", 0);
  lcdPrint(0, 1, "Connect to WiFi", 0);

  pinMode(D0, INPUT);
  Serial.begin(9600);
  delay(500);
  if (! aht.begin()) {
    Serial.println("Не могу найти AHT20? Проверьте провода.");
    while (1) delay(10);
  }
  Serial.println("AHT20 найден!");
  bmp280.begin();

  pinMode(D4, OUTPUT);
  digitalWrite(D4, 1);

  WiFi.mode(WIFI_STA);
  WiFi.begin(ssid, password);

  Serial.println("\nПодключение к WiFi " + ssid);
  int Popytka = 20;
  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.println(Popytka);
    digitalWrite(D4, !digitalRead(D4));
  }

  digitalWrite(D4, 1);
  IPAddress IP = WiFi.localIP();
  MyIP = String(IP[0]) + "." + String(IP[1]) + "." + String(IP[2]) + "." + String(IP[3]);
  Serial.print("IP address: ");
  Serial.println(WiFi.localIP());
  Serial.println("MAC:");
  Serial.println(WiFi.macAddress());

  // Фиксируем время перезагрузки...
  gDateTime();
  while (GTime.year < 2023 || GTime.year > 2025) {
    Serial.println("Плохое время!");
    BadTime = true;
    gDateTime();
    digitalWrite(D4, !digitalRead(D4));
    delay(1500);
  }
  Serial.println("Время - ОК!");
  reset_Year = GTime.year;
  reset_Month = GTime.month;
  reset_Day = GTime.day;
  reset_Chas = GTime.hour;
  reset_Min = GTime.minute;
  reset_Sec = GTime.second;
  Serial.println("Время запуска: " + resetDateTime());

  Serial.println("\nESP8266 - готова!");
  digitalWrite(D4, 1);
  T_Opros = millis();
  T_Time = millis();
  lcdPrint(8, 1, gTimeNow3(), 16);
  String Str = Opros();
  if (Str != "")
    Serial.println(Str);

}
